add a table of content to item pages
Closed, ResolvedPublic

Description

Certain items like [[d:Q7186]] and [[d:Q2494]] have enough properties that on the sitelinks are pushed off the visible area (on my 15" laptop) and require scrolling to see them. There should be some kind of navigation/table of contents which provide quick links to properties, sitelinks, etc. I am thinking of something like the navigation bar at the top of [[commons:File:Apis_florea_worker_1.jpg]] (or any other commons image).

Right now if a visitor comes from [[it:Marie Curie]] by hitting "edit links", they won't initially see the sitelinks, which I think is a problem.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=44940

bzimport added a subscriber: wikidata-bugs.
bzimport set Reference to bz44876.
Legoktm created this task.Via LegacyFeb 11 2013, 2:46 PM
jeblad added a comment.Via ConduitFeb 11 2013, 3:00 PM

We could add one or more parsed message in the top that enables/disables after whats available in a TOC. That would give some flexibility.

Yurik added a comment.Via ConduitFeb 13 2013, 10:05 AM

The [edit] link should go directly to the langlinks section. This might be a separate bug though.

Denny added a comment.Via ConduitJul 3 2013, 1:46 PM

Should be done with an eye on the EntityView rewrite.

gerritbot added a comment.Via ConduitOct 13 2013, 11:39 PM

Change 52796 abandoned by Jeroen De Dauw:
(Bug 44876) Add toc to EntityView

https://gerrit.wikimedia.org/r/52796

JeroenDeDauw added a comment.Via ConduitOct 13 2013, 11:40 PM

Abandoned commit as it was just rotting on gerrit, needing a lot of rebase work. Might or might not include stuff we could use when implementing this.

gerritbot added a comment.Via ConduitOct 20 2013, 1:20 PM

Change 90755 had a related patch set uploaded by Bene:
(bug 44876) add a table of content to item pages

https://gerrit.wikimedia.org/r/90755

Lydia_Pintscher added a comment.Via ConduitNov 26 2013, 3:14 PM

I just discussed this with Henning some more and we came up with a possible way to improve the visual part of this: we can have the ToC not like it is now in Wikipedia articles but more like on Wikivoyage (see for example https://en.wikivoyage.org/wiki/Paris).

Addshore added a comment.Via ConduitNov 26 2013, 3:17 PM

+1

gerritbot added a comment.Via ConduitDec 2 2013, 10:59 AM

Change 90755 merged by jenkins-bot:
(bug 44876) add a table of content to item pages

https://gerrit.wikimedia.org/r/90755

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.